## GimpConfig-error GimpConfig-error — Error utils for libgimpconfig. |

## Functions

GQuark | gimp_config_error_quark ()

## Types and Values

enum | GimpConfigError
#define | GIMP_CONFIG_ERROR

## Description

Error utils for libgimpconfig.

## Functions

### gimp_config_error_quark ()

    GQuark
    gimp_config_error_quark (void);

This function is never called directly. Use `GIMP_CONFIG_ERROR()` instead.

#### Returns

the GQuark that defines the GimpConfig error domain.

Since: GIMP 2.4

## Types and Values

### enum GimpConfigError

The possible values of a GError thrown by libgimpconfig.

#### Members

GIMP_CONFIG_ERROR_OPEN | open failed |
GIMP_CONFIG_ERROR_OPEN_ENOENT | file does not exist |
GIMP_CONFIG_ERROR_WRITE | write failed |
GIMP_CONFIG_ERROR_PARSE | parser error |
GIMP_CONFIG_ERROR_VERSION | parser failed due to version mismatch |

### GIMP_CONFIG_ERROR

    #define GIMP_CONFIG_ERROR (gimp_config_error_quark ())